# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 0
%endif

%bcond_without examples

# Versioning

%define qtmajor 6
%define qtminor 7
%define qtsubminor 1
%define qtversion  %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 2

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtnetworkauth-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtnetworkauth   %mklibname qt%{qtmajor}networkauth %{qtmajor}
%define libqtnetworkauth_d %mklibname qt%{qtmajor}networkauth -d

Name:           qtnetworkauth6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Network Authenticators
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
## Branch Patchs

## Trunk Patchs

## Patch from Mageia

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  qtbase6-qtpaths

BuildRequires:  qtbase6-devel >= %{version}

Provides:       qt%{qtmajor}-qtnetworkauth = %{version}-%{release}

%description
Qt%{qtmajor} Network Authenticators; QtOAuth in particular.

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtNetworkAuth%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtNetworkAuth%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt6_docdir}/qtnetworkauth.qch
%{_qt6_docdir}/qtnetworkauth/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtnetworkauth}
Summary:        Qt%{qtmajor} NetworkAuth Library
Group:          System/Libraries

%description -n %{libqtnetworkauth}
Qt%{qtmajor} NetworkAuth Component Library.

Qt Network Authenticators; QtOAuth in particular.

%files -n %{libqtnetworkauth}
%{_qt6_libdir}/libQt6NetworkAuth.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtnetworkauth_d}
Summary:        Devel files needed to build apps based on QtNetworkAuth
Group:          Development/KDE and Qt
Requires:       %{libqtnetworkauth} = %{version}
Provides:       libqt6networkauth-devel = %{version}
Provides:       libqtnetworkauth6-devel = %{version}
Provides:       qt6networkauth-devel = %{version}
Provides:       qtnetworkauth6-devel = %{version}
Provides:       qt%{qtmajor}-qtnetworkauth-devel = %{version}-%{release}

%description -n %{libqtnetworkauth_d}
Devel files needed to build apps based on Qt NetworkAuth.

%files -n %{libqtnetworkauth_d}
%{_qt6_includedir}/QtNetworkAuth/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_networkauth.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_networkauth_private.pri
%{_qt6_libdir}/cmake/Qt6NetworkAuth/
%{_qt6_libdir}/libQt6NetworkAuth.prl
%{_qt6_libdir}/libQt6NetworkAuth.so
%{_qt6_libdir}/qt6/modules/NetworkAuth.json
%{_qt6_libdir}/qt6/metatypes/qt6networkauth_relwithdebinfo_metatypes.json
%if %{with examples}
%{_qt6_examplesdir}/oauth/
%endif
#
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtNetworkAuthTestsConfig.cmake
%{_qt6_libdir}/pkgconfig/Qt6NetworkAuth.pc

#------------------------------------------------------------------------------

%prep
%setup -q -n qtnetworkauth-everywhere-src-%{qtversion}

%build
%cmake_qt6 %{!?with_examples:-DQT_BUILD_EXAMPLES:BOOL=OFF}
%cmake_build

%if %{build_docs}
%__make docs
%endif

%install
%cmake_install

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Tue Jun 11 2024 daviddavid <daviddavid> 6.7.1-2.mga10
+ Revision: 2072537
- rebuild for 'Qt_$MAJOR_PRIVATE_API' settings

* Wed May 22 2024 daviddavid <daviddavid> 6.7.1-1.mga10
+ Revision: 2065877
- New version 6.7.1

* Thu Feb 15 2024 daviddavid <daviddavid> 6.6.2-1.mga10
+ Revision: 2041638
- New version 6.6.2

* Thu Oct 19 2023 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 1999039
- New version 6.6.0

* Sun Sep 10 2023 neoclust <neoclust> 6.5.2-1.mga10
+ Revision: 1985965
- New version 6.5.2

* Thu Dec 15 2022 neoclust <neoclust> 6.4.1-1.mga9
+ Revision: 1923048
- New version 6.4.1

* Fri Sep 30 2022 neoclust <neoclust> 6.4.0-1.mga9
+ Revision: 1893439
- New version 6.4.0

* Sun Aug 28 2022 neoclust <neoclust> 6.3.1-1.mga9
+ Revision: 1881519
- New version 6.3.1

* Tue Apr 12 2022 neoclust <neoclust> 6.3.0-1.mga9
+ Revision: 1849134
- New version 6.3.0

* Sun Apr 03 2022 umeabot <umeabot> 6.2.3-2.mga9
+ Revision: 1842770
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 neoclust <neoclust> 6.2.3-1.mga9
+ Revision: 1781916
- New version 6.2.3

* Sun Nov 14 2021 neoclust <neoclust> 6.2.1-1.mga9
+ Revision: 1756251
- New version 6.2.1

* Sat Nov 13 2021 neoclust <neoclust> 6.2.0-1.mga9
+ Revision: 1756015
- New version 6.2.0

* Fri May 14 2021 daviddavid <daviddavid> 6.1.0-1.mga9
+ Revision: 1722805
- initial package qtnetworkauth6

